Package org.apache.sysds.runtime.controlprogram.parfor

## Class TaskPartitionerFactoringCmin

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.parfor.TaskPartitioner
  - - org.apache.sysds.runtime.controlprogram.parfor.TaskPartitionerFactoring
    - - org.apache.sysds.runtime.controlprogram.parfor.TaskPartitionerFactoringCmin

    public class TaskPartitionerFactoringCmin
    extends TaskPartitionerFactoring

Factoring with minimum constraint (e.g., if communication is expensive)

### Constructor Summary

Constructors
`TaskPartitionerFactoringCmin​(long taskSize, int numThreads, long constraint, String iterVarName, IntObject fromVal, IntObject toVal, IntObject incrVal)`

### Method Summary

### Methods inherited from class org.apache.sysds.runtime.controlprogram.parfor.TaskPartitionerFactoring

`createTasks, createTasks`

### Methods inherited from class org.apache.sysds.runtime.controlprogram.parfor.TaskPartitioner

`getNumIterations`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TaskPartitionerFactoringCmin

    public TaskPartitionerFactoringCmin​(long taskSize,
                                        int numThreads,
                                        long constraint,
                                        String iterVarName,
                                        IntObject fromVal,
                                        IntObject toVal,
                                        IntObject incrVal)